#!/bin/sh
# Copyright (c) 2003-2007 Erez Zadok
# Copyright (c) 2003-2007 Stony Brook University
# Copyright (c) 2003-2007 The Research Foundation of State University of New York
# Copyright (c) 2004-2007 Nikolai Joukov
# Copyright (c) 2003-2005 Akshat Aranya
# Copyright (c) 2006-2007 Gopala Surya

LOWERDIR=/n/lower
MOUNTPOINT=/n/tracefs-upper
DEBUG=0
BINDIR=../tracefs
UTILDIR=../utils
CONF=streaming_tracefs_config
export LD_LIBRARY_PATH=${UTILDIR}/generic_comp
###################
#Tracing operation ends
####################
${UTILDIR}/tracefs-ctl/tracefs-ctl ${MOUNTPOINT} stop 0
${UTILDIR}/tracefs-ctl/tracefs-ctl ${MOUNTPOINT} d 0
umount ${MOUNTPOINT}
/sbin/rmmod tracefs

#
# postprocessing phase
# The below command is to generate the user pre compiled trace. It is redundant since
# replayfs has a precompiler of its own. If need be enable this trace generation.
#${UTILDIR}/generic_comp/tracegen -f /tmp/trfs.log > /tmp/trfs.log.txt 2> /tmp/errors

